Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.apt
Class AnnotationProcessors

    java.lang.Object
      com.sun.mirror.apt.AnnotationProcessors

    public class AnnotationProcessors

extends Object

Utilities to create specialized annotation processors.

Since:
  1.5

Field Summary
`static AnnotationProcessor` | `NO_OP` An annotation processor that does nothing and has no state.

Constructor Summary
`AnnotationProcessors()`

Method Summary
`static AnnotationProcessor` | `getCompositeAnnotationProcessor(AnnotationProcessor... aps)` Constructs a new composite annotation processor.
`static AnnotationProcessor` | `getCompositeAnnotationProcessor(Collection<AnnotationProcessor> aps)` Constructs a new composite annotation processor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_OP

    public static final AnnotationProcessor NO_OP

  An annotation processor that does nothing and has no state. May be used multiple times.

  Since:
    1.5

Constructor Detail

### AnnotationProcessors

    public AnnotationProcessors()

Method Detail

### getCompositeAnnotationProcessor

    public static AnnotationProcessor getCompositeAnnotationProcessor(AnnotationProcessor... aps)

  Constructs a new composite annotation processor. A composite annotation processor combines multiple annotation processors into one and functions by invoking each of its component processors' process methods in sequence.

  Parameters:
    `aps` - The processors to create a composite of
  Since:
    1.5

### getCompositeAnnotationProcessor

    public static AnnotationProcessor getCompositeAnnotationProcessor(Collection<AnnotationProcessor> aps)

  Constructs a new composite annotation processor. A composite annotation processor combines multiple annotation processors into one and functions by invoking each of its component processors' process methods in the sequence the processors are returned by the collection's iterator.

  Parameters:
    `aps` - A collection of processors to create a composite of
  Since:
    1.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2009 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.